=== compat/alloca/wscript ===
#!/usr/bin/python3
# encoding: utf-8
#
# Copyright (C) 2018 Karl Linden <karl.j.linden@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

from waflib import Errors


def options(opt):
    pass


def configure(conf):
    try:
        conf.check(header_name='alloca.h')
    except Errors.ConfigurationError:
        conf.env.append_unique('INCLUDES', conf.path.abspath())


def build(bld):
    pass
