=== debian/changelog ===
jackd2 (1.9.21~dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 12 Jul 2022 16:09:33 -0700

jackd2 (1.9.21~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 1.9.21~dfsg
  * Bump Standards Version to 4.6.1
  * Fix Conflicts/Breaks of libjack-jackd2-0 and libjack-jackd2-dev
  * d/rules: Add hardening
  * d/rules: Build with --example-tools, not anymore default
  * d/upstream/metadata: Add Archive, Repository & Repository-Browse fields
  * Add Peter Bridgman to d/copyright

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove useless Breaks
    - Remove obsolete Replaces

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 26 May 2022 12:35:45 +0200
