## jackd2 1.9.22~dfsg

=== wscript ===
--- 
+++ 
@@ -10,7 +10,7 @@
 from waflib.Build import BuildContext, CleanContext, InstallContext, UninstallContext
 
 # see also common/JackConstants.h
-VERSION = '1.9.21'
+VERSION = '1.9.22'
 APPNAME = 'jack'
 JACK_API_VERSION = '0.1.0'
 
@@ -169,9 +169,9 @@
             help='Build with CELT')
     celt.add_function(check_for_celt)
     opt.add_auto_option(
-            'example-tools',
-            help='Build with jack-example-tools',
-            conf_dest='BUILD_JACK_EXAMPLE_TOOLS',
+            'tests',
+            help='Build tests',
+            conf_dest='BUILD_TESTS',
             default=False,
     )
 
@@ -191,19 +191,6 @@
     samplerate.check_cfg(
             package='samplerate',
             args='--cflags --libs')
-    sndfile = opt.add_auto_option(
-            'sndfile',
-            help='Build with libsndfile')
-    sndfile.check_cfg(
-            package='sndfile',
-            args='--cflags --libs')
-    readline = opt.add_auto_option(
-            'readline',
-            help='Build with readline')
-    readline.check(lib='readline')
-    readline.check(
-            header_name=['stdio.h', 'readline/readline.h'],
-            msg='Checking for header readline/readline.h')
     sd = opt.add_auto_option(
             'systemd',
             help='Use systemd notify')
@@ -214,11 +201,6 @@
             help='Use Berkeley DB (metadata)')
     db.check(header_name='db.h')
     db.check(lib='db')
-    zalsa = opt.add_auto_option(
-            'zalsa',
-            help='Build internal zita-a2j/j2a client')
-    zalsa.check(lib='zita-alsa-pcmi')
-    zalsa.check(lib='zita-resampler')
 
     # dbus options
     opt.recurse('dbus')
@@ -337,10 +319,6 @@
         else:
             conf.env['SYSTEMD_USER_UNIT_DIR'] = None
 
-    if conf.env['BUILD_JACK_EXAMPLE_TOOLS']:
-        conf.recurse('example-clients')
-        conf.recurse('tools')
-
     # test for the availability of ucontext, and how it should be used
     for t in ['gp_regs', 'uc_regs', 'mc_gregs', 'gregs']:
         fragment = '#include <ucontext.h>\n'
@@ -353,3 +331,27 @@
 
     fragment = '#include <ucontext.h>\n'
     fragment += 'int main() { return NGREG; }'
+    conf.check_cc(fragment=fragment, define_name='HAVE_NGREG', mandatory=False,
+                  msg='Checking for NGREG')
+
+    conf.env['LIB_PTHREAD'] = ['pthread']
+    conf.env['LIB_DL'] = ['dl']
+    conf.env['LIB_RT'] = ['rt']
+    conf.env['LIB_M'] = ['m']
+    conf.env['LIB_STDC++'] = ['stdc++']
+    conf.env['JACK_API_VERSION'] = JACK_API_VERSION
+    conf.env['JACK_VERSION'] = VERSION
+
+    conf.env['BUILD_WITH_PROFILE'] = Options.options.profile
+    conf.env['BUILD_WITH_32_64'] = Options.options.mixed
+    conf.env['BUILD_CLASSIC'] = Options.options.classic
+    conf.env['BUILD_DEBUG'] = Options.options.debug
+    conf.env['BUILD_STATIC'] = Options.options.static
+
+    if conf.env['BUILD_JACKDBUS']:
+        conf.env['BUILD_JACKD'] = conf.env['BUILD_CLASSIC']
+    else:
+        conf.env['BUILD_JACKD'] = True
+
+    conf.env['BINDIR'] = conf.env['PREFIX'] + '/bin'
+
