=== debian/changelog ===
jackd2 (1.9.22~dfsg-5) unstable; urgency=medium

  * Team Upload
  * Remove obsolete debian/README.source

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1101121)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 20:56:49 +0200

jackd2 (1.9.22~dfsg-4) unstable; urgency=medium

  * debian/patches: Replace deprecated module pipes with shlex.
    Thanks to Alexandre Detiste (Closes: #1084581)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Dec 2024 00:04:31 +0100

jackd2 (1.9.22~dfsg-3) unstable; urgency=medium

  * debian/control: Recommend jack-example-tools (Closes: #1076379)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jul 2024 14:04:45 +0200

jackd2 (1.9.22~dfsg-2) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Add translation for Romanian (Closes: #1031925)

  [ Sebastian Ramacher ]
  * debian/control:
    - Drop unused Build-Depends
    - Restrict libffado-dev Build-Depends to architectures where needed

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jul 2024 23:06:15 +0200

jackd2 (1.9.22~dfsg-1) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * Mark reproducibility patches as forwarded, and set URL

  [ Sebastian Ramacher ]
  * New upstream version 1.9.22~dfsg
  * debian/patches:
    - Remove patches included upstream
    - Refresh patches
    - Fix build with Python 3.12 (Closes: #1074647)
  * debian/control:
    - Bump Standards-Version
    - Drop unnecessary pkg-config dependency from -dev packages
  * debian/: No longer install dropped tools and examples
  * debian/copyright: Remove dropped files

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jul 2024 15:25:39 +0200

jackd2 (1.9.21~dfsg-3) unstable; urgency=medium

  * Team upload.
  * Import Vagrant Cascadian's reproducible builds patches:
    - Add 0001-man-fill_template-Use-numeric-year-month-date-for-ma.patch.
      Without this patch, manpages may contain a locale-translated month name,
      as well as a different date based on the build environment timezone.
      (Closes: #1035331).
    - Add 0002-man-fill_template-Use-UTC-date-to-avoid-differences-.patch.
      This patch solves variance in generated man page date stamps introduced
      when man pages generated in different timezones are compared to each
      other.
    - Add 0003-man-fill_template-Use-POSIX-compatible-comparison.patch.  When
      built in an environment where /bin/sh -> bash, all of these manpages are
      built and included in the package.  When /bin/sh -> dash, the manpages
      that users depend on are absent from bin:jackd2.
      (Closes: #1035329, #1035308).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 04 May 2023 15:29:39 -0400

jackd2 (1.9.21~dfsg-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Fix FTBFS: ValueError: invalid mode: 'rUb' (Closes: #1028710)

 -- Dennis Braun <snd@debian.org>  Tue, 17 Jan 2023 21:34:44 +0100
