=== debian/control ===
Source: jackd2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Reinhard Tartler <siretart@tauware.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-python3,
 libasound2-dev [linux-any],
 libdb-dev,
 libdbus-1-dev,
 libexpat1-dev,
 libffado-dev [amd64 i386 powerpc],
 libopus-dev,
 libsamplerate-dev,
 libsystemd-dev [linux-any],
 po-debconf,
 python3:any
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://jackaudio.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/jackd2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jackd2

Package: jackd2
Architecture: any
Replaces:
 jack-daemon
Provides:
 jack-daemon
Conflicts:
 jack-daemon
Depends:
 debconf | debconf-2.0,
 libjack-jackd2-0 (= ${binary:Version}),
 python3-dbus,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 jack-example-tools,
 jackd2-firewire [amd64 i386 powerpc],
 libpam-modules,
 qjackctl
Suggests:
 jack-tools,
 meterbridge
Description: JACK Audio Connection Kit (server and example clients)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the daemon jackd.

Package: libjack-jackd2-0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libjack-0.116,
 libjack-0.125,
 libjack0
Suggests:
 jackd2 (= ${binary:Version})
Provides:
 libjack-0.116,
 libjack-0.125
Replaces:
 libjack-0.116,
 libjack-0.125
Multi-Arch: same
Description: JACK Audio Connection Kit (libraries)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the shared libraries.

Package: jackd2-firewire
Architecture: amd64 i386 powerpc
Provides:
 jackd-firewire
Replaces:
 jackd-firewire
Conflicts:
 jackd-firewire
Depends:
 jackd2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK Audio Connection Kit (FFADO backend)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the IEEE1394 (FireWire) backend FFADO.

Package: libjack-jackd2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libjack-jackd2-0 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 libjack0.100.0-dev (<< 0.102.20-2)
Conflicts:
 libjack-dev
Provides:
 libjack-dev,
 libjack-dev-session,
 libjack0.100.0-dev
Description: JACK Audio Connection Kit (development files)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains files needed for the development of JACK applications
 and an API reference.
