=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_auto_configure:
 	python3 ./waf configure \
-		--prefix=/usr --classic --example-tools \
+		--prefix=/usr --classic \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(CONFIGURE_OPTIONS) \
 		CC='$(CC)' CXX='$(CXX)' PKGCONFIG='$(PKG_CONFIG)'
@@ -40,7 +40,3 @@
 
 override_dh_python3:
 	dh_python3 -pjackd2
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
